Subject: 24.0.50; GDB backtrace from abort

From: "Drew Adams" <[email-masked]>
Date: Sat, 19 Feb 2011 08:33:54 -0800

This might or might not be related to bug #7728; I don't know.  The
crash happened using my own setup, not emacs -Q.  I get such crashes
quite often, and have since well before reporting bug #7728.  Whatever
fix was implemented for #7728 apparently has had little or no effect on
the crashes I get.
 
Below is what I was able to get from GDB, knowing the little that I do
about it.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-02-14 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags
 -Ic:/imagesupport/include'

$ ./gdb -p 652
GNU gdb (GDB) 7.2
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 652
[New Thread 652.0x1704]
[New Thread 652.0x52c]
[New Thread 652.0x13a4]
Reading symbols from C:\Emacs-24-2011-02-14\bin\emacs.exe...done.
[Switching to Thread 652.0x13a4]
Warning: c:\drews-lisp-20\bin/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from
terminal]
Environment variable "DISPLAY" not defined.
TERM = cygwin
.gdbinit:1328: Error in sourced command file:
No symbol "Vsystem_type" in current context.
(gdb) c
Continuing.
warning: frame 047A2E00 (*Completions*) obscured
 
warning: frame 047A2E00 (*Completions*) obscured

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 652.0x52c]
0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
(gdb) bt
#0  0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
#1  0x013086df in w32_abort () at w32fns.c:7189
#2  0x01046436 in die (msg=0x1662868 "assertion failed: BUFFERP(((w))->buffer)",
    file=0x1660de1 "w32fns.c", line=3008) at alloc.c:6105
#3  0x012fee47 in w32_wnd_proc (hwnd=0x1605a4, msg=269, wParam=0, lParam=0)
    at w32fns.c:3008
#4  0x7e418734 in USER32!GetDC () from C:\WINDOWS\system32\user32.dll
#5  0x001605a4 in ?? ()
#6  0x0000010d in ?? ()
#7  0x00000000 in ?? ()
 
Lisp Backtrace:
"old-read-from-minibuffer" (0x83d1c4)
"read-from-minibuffer" (0x83d484)
"icicle-lisp-vanilla-completing-read" (0x83d744)
"byte-code" (0x83d964)
"completing-read" (0x83dd84)
"read-file-name" (0x83e054)
"byte-code" (0x83e264)
"byte-code" (0x83e5b4)
"icicle-read-file-name-1" (0x83e9d4)
"icicle-read-file-name" (0x83ec94)
"read-file-name" (0x83ef64)
"byte-code" (0x83f174)
"icicle-find-file-other-window" (0x83f594)
"icicle-file-other-window" (0x83f894)
"call-interactively" (0x83fb64)
(gdb) frame 3
#3  0x012fee47 in w32_wnd_proc (hwnd=0x1605a4, msg=269, wParam=0, lParam=0)
    at w32fns.c:3008
3008    w32fns.c: No such file or directory.
        in w32fns.c
(gdb) p selected_window
$1 = 62906373
(gdb) xtype
Lisp_Vectorlike
PVEC_WINDOW
(gdb) x
x              xcharset       xgetptr        xobjfwd        xsubchartable
xbacktrace     xchartable     xgettype       xoverlay       xsubr
xboolfwd       xcoding        xhashtable     xpr            xsymbol
xboolvector    xcompiled      xint           xprintstr      xtype
xbuffer        xcons          xintfwd        xprintsym      xvector
xbuflocal      xfloat         xkbobjfwd      xprocess       xvectype
xbufobjfwd     xfont          xlist          xptr           xwinconfig
xbytecode      xfontset       xmarker        xreload        xwindow
xcar           xframe         xmiscfree      xscrollbar
xcdr           xgetint        xmisctype      xstring
(gdb) xwindow
$2 = (struct window *) 0x3bfe000
80x1+0+0
(gdb) xwinconfig
Argument to arithmetic operation not a number or boolean.
(gdb) xvectype
Argument to arithmetic operation not a number or boolean.
(gdb) xmisctype
Argument to arithmetic operation not a number or boolean.
(gdb)